# Cell

[![version](https://img.shields.io/github/v/release/enderneko/Cell)](https://github.com/enderneko/Cell/releases)
[![CodeFactor](https://www.codefactor.io/repository/github/enderneko/cell/badge)](https://www.codefactor.io/repository/github/enderneko/cell)
[![GitHub commit activity](https://img.shields.io/github/commit-activity/m/enderneko/Cell)](https://github.com/enderneko/Cell/commits/master)
[![last commit](https://img.shields.io/github/last-commit/enderneko/Cell)](https://github.com/enderneko/Cell/commits/master)

[![Discord](https://img.shields.io/discord/1122747237546610760?label=Discord&color=5865F2)](https://discord.gg/9PSe3fKQGJ)
[![Curseforge](https://img.shields.io/curseforge/dt/409666?label=CurseForge&color=F16436)](https://www.curseforge.com/wow/addons/cell)
[![Wago](https://img.shields.io/badge/Wago-Cell-ad1319)](https://addons.wago.io/addons/cell)

[![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/enderneko)

<a href="https://afdian.net/a/enderneko"><img width="200" src="https://pic1.afdiancdn.com/static/img/welcome/button-sponsorme.png" alt=""></a >

Cell 团队框架的灵感来主要来自 CompactRaid 与 Grid2，同时也稍微参考了 Aptechka 和 VuhDo。
Cell 不轻量，也并非全能，其目标是提供相比以往更好的用户体验。
希望你能喜欢。

&nbsp;

## 特性与功能

- __布局:__ 按队伍类型/职责/专精自动切换布局，支持小队、团队、战场、竞技场。
- __自定义外观:__ 材质、颜色、透明度。
- __内置点击施法:__ 支持键盘快捷键与多键鼠标。
- __指示器:__ 内置几十个各种用途的指示器，还可以创建自定义指示器（图标、进度条、矩形、文本、叠加层、发光、颜色）。
- __副本减益:__ 带有优先级的减益列表，内置发光效果。
- __常用的团队工具:__ 就位确认、职责确认、倒数、补增益、死亡通报、标记、战复等。
- __简约的选项界面设计:__ 就是好！
- __特别关注框体:__ 额外15个单位按钮，可以设置为目标、焦点、单位、宠物、坦克等。
- __快速协助:__ 专为增辉唤魔师设计。
- __兼容性:__ [BigDebuffs](https://www.curseforge.com/wow/addons/bigdebuffs)、[Class Colors](https://www.curseforge.com/wow/addons/classcolors)、[OmniCD](https://www.curseforge.com/wow/addons/omnicd) 以及 [WAs](https://wago.io/weakauras)。

&nbsp;

## 代码片段

__如果更新后遇到各种问题，先检查/禁用代码片段。__

访问 <https://github.com/enderneko/Cell/tree/master/.snippets> 以获取更多代码片段

### 用法

1. Cell 选项 -> 关于 -> 代码片段
2. 新建 -> 粘贴 -> 保存 -> 勾选自动运行
3. 重载界面

### 暴雪冷却样式的图标

<https://raw.githubusercontent.com/enderneko/Cell/master/.snippets/CooldownIcons_BlizzardStyle.lua>

![暴雪冷却样式的图标](https://github.com/enderneko/Cell/raw/master/.snippets/CooldownIcons_BlizzardStyle.gif)

&nbsp;

## 不支持的功能（未来可能也不会考虑做）

- 自定义边框
- Clique 等类似的插件

&nbsp;

## 斜杠命令

Use __/cell__ for more information.

&nbsp;

## 想要帮忙完善副本减益？

使用 [Instance Spell Collector](https://legacy.curseforge.com/wow/addons/instance-spell-collector) 收集副本减益，然后在 GitHub 上提交 PR 或 issue 就行啦。

&nbsp;

## 本地化翻译

如果你想要帮忙完善本地化，请访问<https://legacy.curseforge.com/wow/addons/cell/localization>，而不要直接提交PR。

&nbsp;

## 其他

Discord：<https://discord.gg/9PSe3fKQGJ>

KOOK：<https://kook.top/q4T7yp>

NGA上的发布贴：<https://bbs.nga.cn/read.php?tid=23488341>
