---------------------------------------------------------------------
-- File: Cell\RaidDebuffs\RaidDebuffs_Cata.lua
-- Author: enderneko (enderneko-dev@outlook.com)
-- Created : 2022-08-05 16:11:02 +08:00
-- Modified: 2024-06-10 23:50 +08:00
---------------------------------------------------------------------

local _, Cell = ...
local F = Cell.funcs

local debuffs = {
    [75] = { -- 巴拉丁监狱
        ["general"] = {
            105859, -- 穿刺
        },
        [139] = { -- 阿尔加洛斯
            88954, -- 黑暗噬体
            88942, -- 流星猛击
        },
        [140] = { -- 欧库塔尔
            96942, -- 欧库塔尔的凝视
            96913, -- 灼热暗影
        },
        [339] = { -- 憎恨女王阿丽萨巴尔
            104936, -- 刺穿
            105067, -- 沸腾之怨
        },
    },

    [72] = { -- 暮光堡垒
        ["general"] = {
            76622, -- 破甲攻击
            84832, -- 拆卸
            84838, -- 扭曲相位
            84850, -- 灵魂之刃
            84856, -- 饥饿暗影
            85482, -- 暗影箭雨
            85643, -- 精神灼烧
            85799, -- 缓慢灼烧
            87707, -- 烈焰震击
            87917, -- 化石皮肤
            88079, -- 霜火之箭
            88178, -- 凝滞打击
            88219, -- 燃烧的暮光
            93277, -- 咆哮强风
            93306, -- 蒸发
            93325, -- 震荡波
            93327, -- 土埋
            93381, -- 冰冷之触
            84853, -- 黑暗之池
            -87931, -- 地震
            -93331, -- 冰霜旋风
            -87704, -- 断筋
        },
        [156] = { -- 哈尔弗斯·碎龙者
            83908, -- 致伤打击
        },
        [157] = { -- 瑟纳利昂和瓦里昂娜
            88518, -- 暮光陨星
            "86788", -- 眩晕
            "93051", -- 暮光位移
            86622, -- 噬体魔法
            86214, -- 暮光领域
        },
        [158] = { -- 升腾者议会
            82772, -- 冻结
            84948, -- 重力碾压
            82660, -- 燃烧之血
            92307, -- 冰霜道标
            82665, -- 寒冰之心
            82762, -- 浸水
            83099, -- 闪电魔棒
            83587, -- 磁性牵引
            92067, -- 静电过载
            92075, -- 重力核心
            -83500, -- 旋风上抛
            -83581, -- 融入大地
            -82285, -- 元素静止
        },
        [167] = { -- 古加尔
            "82518", -- 古加尔的冲击波
            "82523", -- 古加尔的冲击波
            82411, -- 衰弱光线
            -82170, -- 腐蚀：绝对
            -82125, -- 腐蚀：畸变
            -82235, -- 腐蚀：疫病
            -81836, -- 腐蚀：加速
        },
        [168] = { -- 希奈丝特拉
            "89421", -- 毁灭
            "89435", -- 毁灭
            89299, -- 暮光喷吐
        },
    },

    [74] = { -- 风神王座
        ["general"] = {
        },
        [154] = { -- 风之议会
            85578, -- 刺骨冷风
            95217, -- 抚慰轻风
        },
        [155] = { -- 奥拉基尔
            "89666", -- 闪电魔棒
            "89668", -- 闪电魔棒
            87908, -- 风暴火花
            88427, -- 通电
            89104, -- 无情风暴
            87856, -- 狂风
            91020, -- 冰雪风暴
            -88301, -- 酸雨
        },
    },

    [73] = { -- 黑翼血环
        ["general"] = {
            79580, -- 粉碎打击
            79630, -- 龙人冲锋
            80051, -- 重伤
            80127, -- 烈焰打击
            80145, -- 穿刺之握
            80161, -- 化学云雾
            80270, -- 暗影烈焰
            80295, -- 治疗诅咒
            80649, -- 雷霆一击
            80718, -- 王冠的重负
            81060, -- 闪光炸弹
            80295, -- 治疗诅咒
            78495, -- 恐怖光环
            79604, -- 雷霆一击
        },
        [169] = { -- 全能金刚防御系统
            79501, -- 获取目标
            92023, -- 暗影包围
            92048, -- 暗影灌注
            79505, -- 火焰喷射器
            80094, -- 锁定
            79888, -- 闪电导体
            80161, -- 化学云雾
            -79629, -- 能量发生器
        },
        [170] = { -- 熔喉
            78941, -- 寄生感染
            88287, -- 大力撞击
            89773, -- 裂伤
            78199, -- 灼烤护甲
        },
        [171] = { -- 艾卓曼德斯
            78023, -- 咆哮烈焰
            78092, -- 追踪
            77982, -- 灼热烈焰
            78897, -- 声音太大了！
        },
        [172] = { -- 奇美隆
            82935, -- 腐蚀烂泥
            82881, -- 突破
            -91307, -- 嘲讽暗影
            -82890, -- 至死方休
        },
        [173] = { -- 马洛拉克
            77699, -- 快速冻结
            77786, -- 消蚀烈焰
            78034, -- 撕裂
            92787, -- 黑暗吞噬
            92930, -- 黑暗污泥
            78225, -- 酸性新星
        },
        [174] = { -- 奈法利安的末日
            79318, -- 统御
            79339, -- 爆裂灰烬
            79353, -- 怯懦暗影
            77827, -- 龙尾扫击
            81118, -- 熔岩
        },
    },

    [78] = { -- 火焰之地
        ["general"] = {
            99610, -- 震荡波
            99625, -- 燃烧
            99692, -- 恐惧咆哮
            99693, -- 晚饭时间
            99800, -- 诱捕
            100549, -- 熔岩奔腾
            98492, -- 喷涌
            99567, -- 灵魂燃烧
            99646, -- 无情跳跃
            76622, -- 破甲攻击
            97202, -- 烈焰织网
            99532, -- 熔化护甲
            99613, -- 熔岩爆裂
            99626, -- 阳炎术
            99695, -- 烈焰之矛
            99993, -- 灼热之血
            100057, -- 撕裂肉体
            100094, -- 烈火喷涌
            100526, -- 炙热灼伤
            100802, -- 烈焰之劫
            101166, -- 点燃
        },
        [192] = { -- 贝丝缇拉克
            97079, -- 渗毒
            97202, -- 烈焰织网
            99506, -- 寡妇蛛之吻
            99278, -- 挥发毒液
        },
        [193] = { -- 雷奥利斯领主
            98472, -- 岩浆
            98492, -- 喷涌
        },
        [194] = { -- 奥利瑟拉佐尔
            101223, -- 烈火喷涌
            99844, -- 炽热之爪
            "100359", -- 印随
            "99389", -- 印随
            -99461, -- 炽炎之能
            -100029, -- 奥利瑟拉之锋
        },
        [195] = { -- 沙恩诺克斯
            99838, -- 献祭陷阱
            99837, -- 水晶牢笼陷阱效果
            "99948", -- 抓狂
            99937, -- 锯裂
            99840, -- 熔喉裂隙
            "-99947", -- 抓狂
        },
        [196] = { -- 护门人贝尔洛克
            99252, -- 荣耀烈焰
            99353, -- 毁灭打击
            99257, -- 饱受磨难
            99256, -- 磨难
        },
        [197] = { -- 管理者鹿盔
        },
        [198] = { -- 拉格纳罗斯
            "100460", -- 炽炎之热
            "99126", -- 炽炎之热
            99849, -- 注视
            98313, -- 熔岩冲击
            98928, -- 熔岩波浪
            100238, -- 熔岩陷阱之伤
            99399, -- 灼烧之伤
            100941, -- 恐惧烈焰
            100910, -- 触发活体流星
            100713, -- 灭焰之水
            100503, -- 冰障
            100594, -- 极热
            99907, -- 熔岩
        },
    },

    [187] = { -- 巨龙之魂
        ["general"] = {
            105700, -- 暮光烈焰
            107677, -- 尘土风暴
            "107791", -- 山洪
            "107797", -- 山洪
            108220, -- 深度腐蚀
            109331, -- 碎裂
            109368, -- 火花
            109423, -- 寒冰镣铐
            109442, -- 龙卷风
        },
        [311] = { -- 莫卓克
            103785, -- 大地黑血
            103821, -- 大地涡流
            103534, -- 危险
            103536, -- 警告
            103541, -- 安全
        },
        [324] = { -- 督军佐诺兹
            103434, -- 干扰之影
            108799, -- 黑血爆发
            104377, -- 苟拉斯的漆黑血
        },
        [325] = { -- 不眠的约萨希
            105171, -- 深度腐蚀
            104849, -- 虚空箭
            105695, -- 注视
            -105530, -- 法力虚空
        },
        [317] = { -- 缚风者哈格拉
            104451, -- 寒冰之墓
            105316, -- 冰枪
            105285, -- 瞄准
            105289, -- 碎冰之击
            105314, -- 寒冰之潮
            105369, -- 雷电导管
            "109325", -- 霜冻
            110317, -- 水壕
            "110316", -- 霜冻
            -105465, -- 闪电风暴
        },
        [331] = { -- 奥卓克希昂
            106108, -- 英勇意志
            106498, -- 黑暗幽影
            106415, -- 暮光爆发
        },
        [332] = { -- 战争大师黑角
            110214, -- 吞噬遮幕
            107567, -- 残忍打击
            107439, -- 暮光弹幕
            108046, -- 震荡波
            107558, -- 溃变
            108043, -- 破甲
        },
        [318] = { -- 死亡之翼的背脊
            106199, -- 血之腐蚀：死亡
            106200, -- 血之腐蚀：大地
            105479, -- 灼热血浆
            105490, -- 灼热之握
            105563, -- 贪婪触须
            -106005, -- 衰退
        },
        [333] = { -- 疯狂的死亡之翼
            105841, -- 突变撕咬
            108649, -- 腐蚀寄生虫
            106730, -- 破伤风
            "106400", -- 穿刺
            "106444", -- 穿刺
            106794, -- 碎屑
            -105445, -- 炽热
        },
    },

    [67] = { -- 巨石之核
        ["general"] = {
            81441, -- 暗影之怒
            81442, -- 恐惧
            80151, -- 点燃
            80221, -- 溃败
            "80913", -- 水晶碎片
            81508, -- 尘土风暴
            81569, -- 旋风劈砍
            81711, -- 断裂
            81440, -- 寒冰箭雨
        },
        [110] = { -- 克伯鲁斯
            82415, -- 抑制波
            "92122", -- 水晶碎片
            86881, -- 水晶弹幕
            80028, -- 岩石钻孔
        },
        [111] = { -- 岩皮
        },
        [112] = { -- 欧泽鲁克
            78859, -- 源质刺盾
        },
        [113] = { -- 高阶女祭司艾苏尔
            79345, -- 血之诅咒
            79351, -- 强制之握
        },
    },

    [64] = { -- 影牙城堡
        ["general"] = {
            3242, -- 毁灭
            38595, -- 恐惧
            91220, -- 畏缩咆哮
            91099, -- 恶心的汁液
            91324, -- 暗影之触
            91291, -- 吸取生命
            91419, -- 白骨风暴
            91677, -- 浓汁喷吐
            91348, -- 嫩化
            7057, -- 鬼魅灵魂
            7054, -- 丢失能力
            91801, -- 致死打击
            91325, -- 暗影漩涡
            91554, -- 腐臭之云
            15497, -- 寒冰箭
        },
        [96] = { -- 灰葬男爵
            93720, -- 毁灭痛苦
            93423, -- 窒息
        },
        [97] = { -- 席瓦莱恩男爵
            93930, -- 鬼灵抓咬
            93956, -- 诅咒迷雾
        },
        [98] = { -- 指挥官斯普林瓦尔
            91801, -- 致死打击
            93691, -- 亵渎
            93852, -- 邪恶之令
        },
        [99] = { -- 沃登勋爵
            93697, -- 制造有毒的混合剂
            93660, -- 完全凝固!
            93617, -- 增稠毒液
        },
        [100] = { -- 高弗雷勋爵
            93629, -- 诅咒之弹
            93675, -- 重伤
        },
    },

    [69] = { -- 托维尔失落之城
        ["general"] = {
            73976, -- 疾病气息
            82753, -- 血祭
            82760, -- 妖术
            82768, -- 扩散魔伤
            83776, -- 龙息术
            83783, -- 穿刺
            89212, -- 鹰爪
            -82764, -- 摔绊
        },
        [117] = { -- 胡辛姆将军
        },
        [118] = { -- 锁喉
            81690, -- 血之气息
            81677, -- 恶毒之咬
            81673, -- 尘土抽击
        },
        [119] = { -- 高阶预言者巴林姆
            82255, -- 灵魂撕裂
            "82622", -- 衰老疫病
            "82637", -- 衰老疫病
            82139, -- 忏悔
        },
        [122] = { -- 希亚玛特
            91871, -- 闪电充能
        },
    },

    [68] = { -- 旋云之巅
        ["general"] = {
            410997, -- 呼啸劲风
            88194,  -- 冷冽摧残
            411003, -- 乱流
            410870, -- 旋风
        },
        [114] = {   -- 大宰相埃尔坦
            86292,  -- 旋风之盾
        },
        [115] = {   -- 阿尔泰鲁斯
            88286,  -- 阿尔泰鲁斯占据上风
            413275, -- 冷锋
            413296, -- 下击暴流
        },
        [116] = {   -- 西风君王阿萨德
            87618,  -- 静电缠握
            87726,  -- 接地场
        },
    },

    [184] = { -- 时光之末
        ["general"] = {
            102066, -- 撕裂血肉
            109952, -- 尸疫投掷
            102600, -- 时间漩涡
            101820, -- 雷霆一击
        },
        [340] = { -- 贝恩的残影
        },
        [285] = { -- 吉安娜的残影
            101337, -- 霜刃
            101809, -- 炎爆术
            -101810, -- 寒冰箭雨
        },
        [323] = { -- 希尔瓦娜斯的残影
            101411, -- 邪恶射击
            103171, -- 凋零之箭
        },
        [283] = { -- 泰兰德的残影
        },
        [289] = { -- 姆诺兹多
            101984, -- 扭曲炸弹
            102381, -- 时光炸弹
        },
    },

    [186] = { -- 暮光审判
        ["general"] = {
        },
        [322] = { -- 阿奎里恩
            102582, -- 寒冰链
        },
        [342] = { -- 埃希拉·黎明克星
            -102726, -- 沉默标记
            -103790, -- 窒息的烟雾弹
        },
        [341] = { -- 大主教本尼迪塔斯
            103151, -- 正义之剪
            103363, -- 暮光之剪
            104537, -- 暮光渗透
            103744, -- 水体防护层
        },
    },

    [71] = { -- 格瑞姆巴托
        ["general"] = {
            76826, -- 变形术
            90880, -- 钩网
            76332, -- 堕落烈焰
            76335, -- 烈焰腐蚀
            76093, -- 灼烧之伤
            75755, -- 虹吸精华
            76394, -- 碧蓝血脉的诅咒
            76507, -- 穿刺爪击
            76579, -- 超载
            76703, -- 压碎护甲
            76715, -- 欺诈冲击波
            76720, -- 水箭
            76727, -- 致死打击
            76766, -- 烈焰导管
            76792, -- 石化皮肤
            76794, -- 水柱喷射
            76797, -- 激射喷泉
            76825, -- 冰爆术
            90846, -- 烈焰震击
            -76693, -- 暮光充能
        },
        [131] = { -- 乌比斯将军
            74634, -- 地动山摇
            74846, -- 溢血之伤
            76507, -- 穿刺爪击
        },
        [132] = { -- 铸炉之主索朗格斯
            90764, -- 燃烧烈焰
            74987, -- 落石
            74976, -- 惊魂咆哮
            74909, -- 打击偏斜
        },
        [133] = { -- 达加·燃影者
            82850, -- 烈焰凝视
            75238, -- 超级新星
            75317, -- 暮光渗透
        },
        [134] = { -- 地狱公爵埃鲁达克
            75792, -- 脆弱躯体
            75861, -- 禁锢暗影
            75755, -- 虹吸精华
            "75692", -- 暗影飓风
            "-75694", -- 暗影飓风
        },
    },

    [63] = { -- 死亡矿井
        ["general"] = {
            59304, -- 灵魂打击
            90099, -- 凝视
            91004, -- 神圣之火
            91032, -- 酩酊大醉
            91050, -- 敲击
            90920, -- 啄眼
            -91036, -- 激励
            -92100, -- 毒性调和物
            -92113, -- 噩梦药剂
        },
        [89] = { -- 格拉布托克
            87901, -- 寒冰之拳
            88177, -- 冰霜绽放
        },
        [90] = { -- 赫利克斯·破甲
            88352, -- 放置炸弹
            88288, -- 冲锋
        },
        [91] = { -- 死神5000
            91830, -- 注视
        },
        [92] = { -- 撕心狼将军
            88836, -- 直取要害
            92011, -- 冻结蒸汽
            92008, -- 凝结蒸汽
            92007, -- 涡流蒸汽
        },
        [93] = { -- “船长”曲奇
            89732, -- 反胃
        },
        [95] = { -- 梵妮莎·范克里夫
            92619, -- 背砍
            90960, -- 剑刃旋风
            90938, -- 血箭
            "-90932", -- 愤怒场
        },
    },

    [185] = { -- 永恒之井
        ["general"] = {
            102245, -- 甜美的摇篮曲
            103913, -- 恐惧打击
            102233, -- 窒息香水
            105545, -- 魔能之瘾
            102561, -- 恶魔之握
            102267, -- 暴风雪
        },
        [290] = { -- 佩罗萨恩
            105493, -- 无能的猎物
            105544, -- 魔能凋零
            108101, -- 腐蚀之触
            104905, -- 吸取精华
        },
        [291] = { -- 艾萨拉女王
            102466, -- 寒冷之焰
            102455, -- 奥术炸弹
            102482, -- 火焰炸弹
            103241, -- 绝对服从
        },
        [292] = { -- 玛诺洛斯与瓦罗森
        },
    },

    [65] = { -- 潮汐王座
        ["general"] = {
            426660, -- 锋齿利喉
            428542, -- 压抑深渊
            426727, -- 强酸轰炸
            426663, -- 暴食追踪
            75992,  -- 闪电澎湃
            426681, -- 电能巨喉
            426808, -- 虚无震爆
            426783, -- 精神鞭笞
            76516, -- 淬毒长矛
            76363, -- 腐蚀波
            426688, -- 不稳定酸液
            426741, -- 破壳者
        },
        [101] = { -- 纳兹夏尔女士
            429263, -- 电震轰击
        },
        [102] = { -- 指挥官乌尔索克，腐烂王子
            427670, -- 粉碎爪击
            427668, -- 腐烂震波
            427559, -- 冒泡的软泥怪
        },
        [103] = { -- 蛊心魔古厄夏
            429048, -- 烈焰震击
            429172, -- 惊魂幻视
        },
        [104] = { -- 厄祖玛特
            428407, -- 污浊轰击
            428868, -- 腐臭咆哮
            428404, -- 污浊黑暗
            428403, -- 脏污
        },
    },

    [76] = { -- 祖尔格拉布
        ["general"] = {
            97597, -- 灵魂战士的凝视
            96342, -- 扑杀
            34322, -- 心灵尖啸
            35570, -- 冲锋
            8257, -- 毒性钉刺
            96415, -- 毒液喷吐
            96822, -- 蒂基之炬
            97248, -- 吞噬灵魂
            97988, -- 次级地震
            "98028", -- 印记碎裂
            "98037", -- 印记碎裂
            13737, -- 致死打击
            "15588", -- 雷霆一击
            "96340", -- 雷霆一击
            98006, -- 火焰印记
            98015, -- 冰霜印记
            97291, -- 异界气息
        },
        [175] = { -- 高阶祭司温诺希斯
            96477, -- 剧毒联结
            96466, -- 赫希斯之耳语
        },
        [176] = { -- 血领主曼多基尔
            96776, -- 血祭
        },
        [177] = { -- 疯狂之缘——格里雷克
        },
        [178] = { -- 疯狂之缘——哈扎拉尔
        },
        [179] = { -- 疯狂之缘——雷纳塔基
        },
        [180] = { -- 疯狂之缘——乌苏雷
        },
        [181] = { -- 高阶祭司基尔娜拉
            96423, -- 痛苦鞭笞
            "96592", -- 毁灭
            "96700", -- 毁灭
            97357, -- 裂伤
            97380, -- 振颤
        },
        [184] = { -- 赞吉尔
            96916, -- 赞吉利之火
            -96326, -- 燃烧之血
            -96325, -- 霜灼药方
            -96328, -- 剧毒折磨
        },
        [185] = { -- 碎神者金度
            "97170", -- 死魔区
            "101360", -- 死魔区
        },
    },

    [77] = { -- 祖阿曼
        ["general"] = {
            43361, -- 驯服
            24004, -- 沉睡
            12054, -- 撕裂
            97524, -- 英勇飞跃
            32323, -- 冲锋
            35011, -- 击倒
            43362, -- 充电网
            43353, -- 感染撕咬
            43246, -- 撕裂
            43359, -- 野兽的召唤
            43364, -- 宁神毒药
            43524, -- 冰霜震击
            97988, -- 次级地震
            "98028", -- 印记碎裂
            "98037", -- 印记碎裂
            11971, -- 破甲攻击
            42747, -- 压碎护甲
            43529, -- 致死打击
            43530, -- 刺耳怒吼
            43358, -- 重击
            9080, -- 断筋
            98006, -- 火焰印记
            98015, -- 冰霜印记
        },
        [186] = { -- 埃基尔松
            97318, -- 勒紧
            44008, -- 静电瓦解
            43648, -- 电能风暴
        },
        [187] = { -- 纳洛拉克
            42397, -- 撕裂肉体
            42395, -- 刺裂
            42402, -- 奔袭
            42398, -- 震耳咆哮
        },
        [188] = { -- 加亚莱
            43299, -- 烈焰打击
            97497, -- 火息术
        },
        [189] = { -- 哈尔拉兹
            43303, -- 烈焰震击
            97486, -- 凝视
            43243, -- 碎甲
        },
        [190] = { -- 妖术领主玛拉卡斯
            43590, -- 心灵哀嚎
            43579, -- 毒液喷吐
            43501, -- 灵魂虹吸
        },
        [191] = { --
            43093, -- 重伤投掷
            43095, -- 麻痹蔓延
            42402, -- 奔袭
            43150, -- 利爪之怒
            43153, -- 山猫冲锋
            43357, -- 野性横扫
        },
    },

    [70] = { -- 起源大厅
        ["general"] = {
            73963, -- 致盲毒素
            74101, -- 灼热烈焰
            74121, -- 衰弱的毒液
            75241, -- 轰鸣震撼
            75702, -- 毒性B孢子
            77262, -- 狂暴地狱火
            77333, -- 旋风
            77336, -- 水泡禁锢
            89551, -- 符文法师之咒
            "73861", -- 火焰风暴
            "73862", -- 火焰风暴
            73700, -- 虚空灌输
        },
        [124] = { -- 神殿守护者安努尔
            75592, -- 神圣清算
        },
        [125] = { -- 地怒者塔赫
            75369, -- 吞噬
            75548, -- 流沙
        },
        [126] = { -- 安拉斐特
            75603, -- 复仇打击
            75623, -- 欧米加姿态
            76956, -- 阿尔法光束
            75609, -- 破碎遗迹
        },
        [127] = { -- 伊希斯特，魔法的造物
            74137, -- 超级新星
        },
        [128] = { -- 阿穆纳伊，生命的造物
            76043, -- 枯萎
            75718, -- 吞噬生命能量
            76044, -- 荆刺猛击
            75702, -- 毒性孢子
        },
        [129] = { -- 塞特斯，毁灭的造物
            76870, -- 混沌之种
        },
        [130] = { -- 拉夏，太阳的造物
            -87657, -- 燃烧的冲动
            -76355, -- 太阳祝福
        },
    },

    [66] = { -- 黑石岩窟
        ["general"] = {
            76686, -- 暗影牢笼
            76484, -- 镣铐
            76497, -- 制造痛苦
            76524, -- 痛苦旋风
            76594, -- 撕裂
            58025, -- 冰霜打击
            76688, -- 钻孔
            76618, -- 献祭
            76617, -- 高热耗竭
            76561, -- 重力打击
            13737, -- 致死打击
            76716, -- 胁迫之击
            76682, -- 寒冰炸弹
            76508, -- 寒冰箭
            76473, -- 冲击波
        },
        [105] = { -- 摧骨者罗姆欧格
            75539, -- 悲哀锁链
            75571, -- 致伤打击
            75272, -- 地震
        },
        [106] = { -- 柯尔拉，暮光之兆
            75823, -- 黑暗命令
            76522, -- 力场冲击
            76524, -- 痛苦旋风
            76561, -- 重力打击
            75732, -- 暮光进化
            75697, -- 进化
        },
        [107] = { -- 卡尔什·断钢
        },
        [108] = { -- 如花
            76028, -- 恐吓咆哮
            76031, -- 熔岩喷吐
            76628, -- 熔岩流淌
            76665, -- 小型火焰吐息
        },
        [109] = { -- 升腾者领主奥西迪斯
            76188, -- 暮光腐

            76189, -- 微光之雾
            76186, -- 雷霆一击
        },
    },
}

F:LoadBuiltInDebuffs(debuffs)